Package helma.util

# Class ParanoidServerSocket

java.lang.Object
java.net.ServerSocket
helma.util.ParanoidServerSocket

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class ParanoidServerSocket extends ServerSocket
A server socket that can allow connections to only a few selected hosts.

## Constructor Summary

Constructors
Constructor
Description
`ParanoidServerSocket(int port)`
Creates a new ParanoidServerSocket object.
`ParanoidServerSocket(int port, InetAddressFilter filter)`
Creates a new ParanoidServerSocket object.

## Method Summary

Modifier and Type
Method
Description
`Socket`
`accept()`
`InetAddressFilter`
`getFilter()`
`void`
`setFilter(InetAddressFilter filter)`

### Methods inherited from class java.net.ServerSocket

`bind, bind, close, getChannel, getInetAddress, getLocalPort, getLocalSocketAddress, getOption, getReceiveBufferSize, getReuseAddress, getSoTimeout, implAccept, isBound, isClosed, setOption, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSocketFactory, setSoTimeout, supportedOptions, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParanoidServerSocket

public ParanoidServerSocket(int port) throws IOException
Creates a new ParanoidServerSocket object.

Parameters:
  `port` - ...
Throws:
  `IOException` - ...

### ParanoidServerSocket

public ParanoidServerSocket(int port, InetAddressFilter filter) throws IOException
Creates a new ParanoidServerSocket object.

Parameters:
  `port` - ...
  `filter` - ...
Throws:
  `IOException` - ...

## Method Details

### accept

public Socket accept() throws IOException

Overrides:
  `accept` in class `ServerSocket`
Returns:
  ...
Throws:
  `IOException` - ...

### setFilter

public void setFilter(InetAddressFilter filter)

Parameters:
  `filter` - ...

### getFilter

public InetAddressFilter getFilter()

Returns:
  ...